classification
Title: Docs: On non-public translations, language picker fallback to "English"
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.7, Python 3.6, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, mdk, miss-islington, ned.deily, xtreak
Priority: normal Keywords: patch

Created on 2017-08-08 15:29 by mdk, last changed 2018-11-21 23:06 by mdk. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 10558 merged mdk, 2018-11-15 14:03
PR 10609 merged miss-islington, 2018-11-20 16:19
PR 10610 merged miss-islington, 2018-11-20 16:19
PR 10611 merged miss-islington, 2018-11-20 16:19
Messages (5)
msg299932 - (view) Author: Julien Palard (mdk) * (Python committer) Date: 2017-08-08 15:29
As, by default, "english" is selected, and as we're building translations far before rendering them public by adding them to the language switcher, there's a timespan where a human can voluntarily land on a translation with a language switcher unaware of this language.

The language switcher currently defaults to english, so english is selected. As "english" is already selected, one can't select "english" to navigate to the english version.

Solutions may be to just hide the select element on unknown translations, or display the unknown language tag. With more work and a "predicted" list of tags-names, it may be possible to also display the name of the language.


Code is here: https://github.com/python/cpython/blob/master/Doc/tools/static/switchers.js

I'll take a look, but if some want to do it, let me know.
msg330134 - (view) Author: Julien Palard (mdk) * (Python committer) Date: 2018-11-20 16:18
New changeset 6b73bb523a176123a819e4ebac3727d31d861515 by Julien Palard in branch 'master':
bpo-31146: Don't fallback switcher to english on not-yet pusblished languages. (GH-10558)
https://github.com/python/cpython/commit/6b73bb523a176123a819e4ebac3727d31d861515
msg330222 - (view) Author: miss-islington (miss-islington) Date: 2018-11-21 22:46
New changeset df6374e15aadff7eb547fc210c0f4f28bbff7010 by Miss Islington (bot) in branch '3.7':
bpo-31146: Don't fallback switcher to english on not-yet pusblished languages. (GH-10558)
https://github.com/python/cpython/commit/df6374e15aadff7eb547fc210c0f4f28bbff7010
msg330223 - (view) Author: miss-islington (miss-islington) Date: 2018-11-21 22:46
New changeset c487cf9261c61f0db4e5d1df3c83a60384b330db by Miss Islington (bot) in branch '3.6':
bpo-31146: Don't fallback switcher to english on not-yet pusblished languages. (GH-10558)
https://github.com/python/cpython/commit/c487cf9261c61f0db4e5d1df3c83a60384b330db
msg330224 - (view) Author: miss-islington (miss-islington) Date: 2018-11-21 22:47
New changeset fcbcebadff46f907b38fcf2d79adb3209c5a205d by Miss Islington (bot) in branch '2.7':
bpo-31146: Don't fallback switcher to english on not-yet pusblished languages. (GH-10558)
https://github.com/python/cpython/commit/fcbcebadff46f907b38fcf2d79adb3209c5a205d
History
Date User Action Args
2018-11-21 23:06:12mdksetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2018-11-21 22:47:12miss-islingtonsetmessages: + msg330224
2018-11-21 22:46:59miss-islingtonsetmessages: + msg330223
2018-11-21 22:46:34miss-islingtonsetnosy: + miss-islington
messages: + msg330222
2018-11-20 16:19:33miss-islingtonsetpull_requests: + pull_request9854
2018-11-20 16:19:20miss-islingtonsetpull_requests: + pull_request9853
2018-11-20 16:19:05miss-islingtonsetpull_requests: + pull_request9852
2018-11-20 16:18:41mdksetmessages: + msg330134
2018-11-15 14:03:06mdksetkeywords: + patch
stage: patch review
pull_requests: + pull_request9804
2018-09-21 05:41:07xtreaksetnosy: + xtreak
2017-08-08 15:34:39ned.deilysetnosy: + ned.deily
2017-08-08 15:29:40mdkcreate